Bug 1473009 - SELinux is preventing ksmtuned from 'write' accesses on the directory ksm.
SELinux is preventing ksmtuned from 'write' accesses on the directory ksm.
Status: NEW
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
abrt_hash:260f4ec05ad8e364ade139acc82...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-19 16:19 EDT by Robert Hancock
Modified: 2017-08-22 08:31 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Hancock 2017-07-19 16:19:51 EDT
Description of problem:
SELinux is preventing ksmtuned from 'write' accesses on the directory ksm.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that ksmtuned should be allowed write access on the ksm directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'ksmtuned' --raw | audit2allow -M my-ksmtuned
# semodule -X 300 -i my-ksmtuned.pp

Additional Information:
Source Context                system_u:system_r:ksmtuned_t:s0
Target Context                system_u:object_r:sysfs_t:s0
Target Objects                ksm [ dir ]
Source                        ksmtuned
Source Path                   ksmtuned
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-260.1.fc26.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.11.10-300.fc26.x86_64 #1 SMP Wed
                              Jul 12 17:05:39 UTC 2017 x86_64 x86_64
Alert Count                   128
First Seen                    2016-09-06 16:59:51 CST
Last Seen                     2017-07-19 12:46:16 CST
Local ID                      5aef18fb-5561-4d29-bbc7-08ae531e7902

Raw Audit Messages
type=AVC msg=audit(1500489976.873:4369): avc:  denied  { write } for  pid=1230 comm="ksmtuned" name="ksm" dev="sysfs" ino=5612 scontext=system_u:system_r:ksmtuned_t:s0 tcontext=system_u:object_r:sysfs_t:s0 tclass=dir permissive=0


Hash: ksmtuned,ksmtuned_t,sysfs_t,dir,write

Version-Release number of selected component:
selinux-policy-3.13.1-260.1.fc26.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.11.10-300.fc26.x86_64
type:           libreport

Potential duplicate: bug 1404993

Note You need to log in before you can comment on or make changes to this bug.